VerifyPay

Validate a UPI VPA via a penny drop

🙌

Important Note

Please use only Staging Credentials on each API Reference page to test the APIs directly from our Documentation.

API Endpoints

This API enabled you to check if a particular UPI-ID (Virtual Payment Address) is valid.

📘

Simulation Data

Decentro provides the test data which will simulate various scenarios of the API when a transaction takes place.

Important: Please refer to the Simulation Data guide Click here

Response Keys

Below are the response keys propagated by Decentro in the response_key parameter, which cover all the scenarios a platform can encounter.

Error CodeResponse KeyMessage
S00000success_account_details_retrievedAccount details retrieved successfully
S00000failure_expired_upi_vpaThe UPI VPA has expired.
S00000failure_vpa_restrictredThe customer has blocked trannsactions for this UPI ID.
S00000failure_account_frozenThe account associated with this mobile number is blocked or frozen.
S00000failure_dormant_accountThe account associated with this mobile number is Inactive or Dormant.
S00000failure_account_closedThe bank account mapped to the UPI VPA is closed.
S00000failure_no_account_mappedThere is no bank account mapped with this UPI ID.
S00000faiure_invalid_upi_vpaThe beneficiary UPI VPA is invalid.
S00000failure_invalid_vpaThe beneficiary UPI VPA is invalid.
S00000failure_invalid_pspThe PSP powering the upi VPA is not active.
-error_invalid_methodThe method is not allowed for the requested URL.
E00008(Not Applicable)Authentication failed. Please use valid Client ID and Client Secret.
E00009error_malformed_requestMalformed request detected.
E00030error_unauthorized_moduleAuthentication failed for accessing the module
E00009error_unsanitized_valuesUnsanitized values detected for key(s): reference_id. Kindly sanitize the corresponding values by removing special characters such as . @ # $ % ^ & * ! ; : ' " ~ ` ? = + ) ( and retry.
E00009error_empty_reference_idRequest reference ID cannot be null or empty. Hint: reference_id (string)
E00019error_duplicate_reference_idDuplicate Request Reference ID
E00009error_invalid_reference_id_lengthRequest reference ID is not valid. Hint: reference_id should be restricted to 2 to 100 chars
E00009error_upi_vpa_insufficient_string_lengthParameter upi_vpa should be at least 4 characters long after trimming whitespace. Hint: upi_vpa (string)
E00009error_upi_vpa_missing_or_nullParameter upi_vpa cannot be missing/null. Hint: upi_vpa (string)
E00000error_decentro_errorInternal Server Error. Kindly retry the transaction after sometime.
E00002error_validation_blockedTransaction not permitted by the beneficiary bank.
E00002error_validation_blockedThe request could not be completed due to a risk exception by the remitter bank. Kindly retry the transaction after sometime.
E00002error_validation_blockedTransaction not permitted for this account type (OD/CC/PPI)
E00002error_validation_blockedThe customer has not set the MPIN, configured it incorrectly, or has a temporary block as they have exceeded the number of retries. Kindly retry the transaction after sometime.
E00003error_beneficiary_bank_offlineThe request could not be completed due to a error with the beneficiary bank. Kindly retry the transaction after sometime.
E00004error_validation_blockedThe request could not be completed as it was rejected by the remitting bank.
E00004error_validation_blockedThe request could not be completed as it was rejected by the beneficiary bank.
E00005error_frequency_limit_breachedThe tranasction could not be completed due to a breach of transaction frequency limits set by the custoemr or their bank. Kindly retry the transaction after sometime.
E00006error_network_timeout_rejectionThe transaction request could not be completed due to high response time from NPCI. Kindly retry the transaction after sometime.
E00007error_techinical_failureThe transaction failed due to a technical failure at NPCI. Kindly retry the transaction after sometime.
E00008error_beneficiary_bank_not_supportedThe request could not be completed due to the beneficiary bank has not enabled this transaction type
E00012error_provider_errorUnexpected response received from provider. Kindly retry the transaction after sometime.
Body Params
string
required

A unique ID assigned by you for this transaction

string
required
Defaults to test@upi

UPI-ID (Virtual Payment Address) to be validated

Headers
string
required
string
required
string
required

Use the accounts module secret

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json